# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.ui

Defined in: core/ui.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ui(editor) Contains UI features related to an editor instance.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CKEDITOR.ui.separator The UI element that renders a toolbar separator.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.ui.panel(document, definition)
| add(name, type, definition) Adds a UI item to the items collection.
| addButton(The, The) Adds a button definition to the UI elements list.
| addHandler(type, handler) Adds a handler for a UI item type.
| addRichCombo(name, definition)
| create(name) Gets a UI object.

Class Detail
CKEDITOR.ui(editor)
Since: 3.0
Contains UI features related to an editor instance.

Parameters:
{CKEDITOR.editor} editor
  The editor instance.

Field Detail
<static> {Object} CKEDITOR.ui.separator
Since: 3.0
The UI element that renders a toolbar separator.
Defined in: plugins/toolbar/plugin.js.
Method Detail
<static> {Undefined} CKEDITOR.ui.panel(document, definition)
Since: 3.0
Defined in: plugins/panel/plugin.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} document
{Undefined} definition

{Undefined} add(name, type, definition)
Since: 3.0
Adds a UI item to the items collection. These items can be later used in the interface.

    // Add a new button named "MyBold".
    editorInstance.ui.add( 'MyBold', CKEDITOR.UI_BUTTON,
        {
            label : 'My Bold',
            command : 'bold'
        });

Parameters:
{String} name
  The UI item name.
{Object} type
  The item type.
{Object} definition
  The item definition. The properties of this object depend on the item type.

{Undefined} addButton(The, The)
Since: 3.0
Adds a button definition to the UI elements list.
Defined in: plugins/button/plugin.js.

    editorInstance.ui.addButton( 'MyBold',
        {
            label : 'My Bold',
            command : 'bold'
        });

Parameters:
{String} The
  button name.
{Object} The
  button definition.

{Undefined} addHandler(type, handler)
Since: 3.0
Adds a handler for a UI item type. The handler is responsible for transforming UI item definitions in UI objects.

Parameters:
{Object} type
  The item type.
{Object} handler
  The handler definition.

{Undefined} addRichCombo(name, definition)
Since: 3.0
Defined in: plugins/richcombo/plugin.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} name
{Undefined} definition

{Undefined} create(name)
Since: 3.0
Gets a UI object.

Parameters:
{String} name
  The UI item hame.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.